USERMOD(8)

NAME
usermod - modify user login information

SYNOPSIS
usermod [-G secondary-group] [-c comment] [-d home-dir] [-e expiry-time] [-f inactive-secs] [-g gid/name/=uid] [-l new-login] [-m] [-o] [-p password] [-s shell] [-u uid] [-v] user

DESCRIPTION
The usermod utility modifies user login information on the system. Default values for the user are taken from the information provided in the /etc/usermgmt.conf file.

After setting any defaults, and then values from that file, the command line options are processed:

-G secondary-group
    is the secondary group to which the user will be added in the /etc/group file.

-c comment
    is the comment field (also, for historical reasons known as the GECOS field) which will be added for the user, and typically will include the username, and, perhaps, contact information for the user.

-d home-directory
    is the home directory which will be created and populated for the user, should the -m option be specified.

-e secs-to-expiry
    provides the number of seconds since the epoch (UTC) at which the current password change expire. This can be used to implement password aging. A value of 0 can be used to switch off this feature. The default value for this field is 0. See passwd(5) for more details. This value can be preset for all users by using the expire field in the /etc/usermgmt.conf file - it has the format: expire <secs-to-expiry>.

-g gid/name/=uid
    gives the group name or identifier to be used for the new user's primary group. If this is -g=uid, then a uid and gid will be picked which are both unique and the same, and a line added to /etc/group to describe the new group. This value can be preset for all users by using the gid field in the /usr/share/adduser/defaults file - it has the format: group <groupname/groupid/=uid>.

-l new-user
    gives the new user name. It must consist of alphanumeric characters, or the characters '.', '-' or '_'.

-m  moves the home directory from its old position to the new one.

-o  allows duplicate uids to be given.

-p password
    specifies an already-encrypted password for the new user. This password can then be changed by using the chpass(1) utility. This value can be preset for all users by using the password field in the /etc/usermgmt.conf file - it has the format: password <encrypted-password>.

-s shell
    specifies the login shell for the new user. This value can be preset for all users by using the shell field in the /usr/share/adduser/defaults file - it has the format: shell <login-shell>.

-u uid
    specifies a new uid for the user. Boundaries for this value can be preset for all users by using the range field in the /etc/usermgmt.conf file - they have the format: range <starting-uid>..<ending_uid>.

-v  enables verbose mode - explain the commands as they are executed.

The usermod utility exits 0 on success, and >0 if an error occurs.

HISTORY
The usermod utility first appeared in NetBSD 1.5. It is based on the addnerd package by the same author.

AUTHOR
The usermod utility was written by Alistair G. Crooks (agc@netbsd.org).

SEE ALSO
chpass(1), passwd(5), group(5), /etc/usermgmt.conf, /etc/skel/.[A-z]*, /usr/share/examples/usermgmt